﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SilverlightPicture
{
	public partial class Page : Canvas
	{
		private bool isDrawing = false;
		private Point lastPoint = new Point();

		public void Page_Loaded(object o, EventArgs e)
		{
			InitializeComponent();

			this.MouseLeftButtonDown += new MouseEventHandler(Page_MouseLeftButtonDown);
			this.MouseLeftButtonUp += new MouseEventHandler(Page_MouseLeftButtonUp);
			this.MouseMove += new MouseEventHandler(Page_MouseMove);
		}

		void Page_MouseMove(object sender, MouseEventArgs e)
		{
			if (!isDrawing) return;
			Line line = new Line();
			line.X1 = lastPoint.X;
			line.Y1 = lastPoint.Y;
			line.X2 = e.GetPosition(null).X;
			line.Y2 = e.GetPosition(null).Y;
			line.Stroke = new SolidColorBrush(Color.FromRgb(0, 0, 0));
			line.StrokeThickness = 2;

			Canvas canvas = ((Canvas)sender);
			canvas.Children.Add(line);

			lastPoint.X = e.GetPosition(null).X;
			lastPoint.Y = e.GetPosition(null).Y;
		}

		void Page_MouseLeftButtonUp(object sender, MouseEventArgs e)
		{
			isDrawing = false;
		}

		void Page_MouseLeftButtonDown(object sender, MouseEventArgs e)
		{
			isDrawing = true;
			lastPoint.X = e.GetPosition(null).X;
			lastPoint.Y = e.GetPosition(null).Y;
		}
	}
}
